//
//  NSDateExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 23/03/2010.
//  Copyright 2010 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSDate (MWNSDateExtensions)

+ (NSDate *)currentDateToLatestMinute;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSDate *dateForBeginningOfDay; 
@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSDate *dateForBeginningOfNextDay;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSDate *dateByAdding24Hours;
@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSDate *dateBySubtracting24Hours;

@property (NS_NONATOMIC_IOSONLY, getter=isToday, readonly) BOOL today;

/* returns a copy of the receiver with the time set to 00:00:00 */
@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSDate *midnight;

@end
