//
//  NSMutableDictionaryExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 20/05/2008.
//  Copyright 2008 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSDictionary (MWNSDictionaryExtensions)

- (BOOL)containsObject:(id)obj;
- (BOOL)containsObjectForKey:(id)key;
- (void)addObserverToAllObjects:(NSObject *)anObserver forKeyPath:(NSString *)keyPath options:(NSKeyValueObservingOptions)options context:(void *)context;
- (BOOL)hasKeysInCommonWithDictionary:(NSDictionary *)otherDictionary;


@end
