//
//  NSManagedObjectContextExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 25/03/2007.
//  Copyright 2007 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>


@interface NSManagedObjectContext (MWNSManagedObjectContextExtensions)

- (void)deleteObjects:(id <NSFastEnumeration>)objects;

- (NSSet *)fetchObjectsForEntityName:(NSString *)name withPredicate:(NSPredicate *)predicate error:(NSError **)error;
- (NSArray *)fetchObjectsForEntityName:(NSString *)name withPredicate:(NSPredicate *)predicate sortDescriptions:(NSArray *)sortDescriptors error:(NSError **)error;

- (NSUInteger)countOfObjectsForEntityName:(NSString *)name includeSubentities:(BOOL)includeSubentities error:(NSError **)error;

@end
